/* PRINT ONLY */
.print-only{
	display: none !important;
	}			

html{
	scroll-behavior: smooth;
	}

/* ZEROING OUT STYLES ------------------*/
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	}
body, input, button, select, option, textarea {
    font-family: "Myriad Pro", Helvetica, Arial, "sans-serif";
    font-size: 1em;
    color: #000;
    background-color: #fff;
	}

/* LINKS -----------------------*/
a, a:link, a:visited, a:focus, .link{
	color: #0097fe;
	text-decoration: none;
	cursor: pointer;
	}
a:hover, .link:hover{
	color: #0070d6;
	}
.red-link{
	color: #c90000;
	cursor: pointer;
	}
.red-link:hover{
	color: #ff0000;
	}

img {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
	}
div{
	font-size: 100%;
	}

hr.dotted{
	border: 0;
	border-top: dotted 2px #ccc;
	height: 0;
	margin: 2.5em 0 0 0; 
	}

h1{
	color: #8c1d40;
	padding: .5em 0 .25em 0;
	margin: 0;
	line-height: 1.1em;
	font-size: 2.1em;
	}
h2 {
	font-size:  1.6em;
	font-weight: normal;
	padding: 1.5em 0 .5em 0;
	}	
h3 {
	font-size: 1.35em;
	font-weight: normal;
	padding: 1.5em 0 .5em 0;
	line-height:  1.2em;
	}
h4 {
	font-weight: bold;
	padding: .5em 0;
	}

p{
	padding: .75em 0;
	}
ul{
	margin: .75em 0 .75em 1em;
	}	
li{
	padding: .15em 0;
	}

/* HOW TO PLAY PAGE, buttons */
dl{
	display: grid;
	grid-template-columns: 2em auto;
	grid-gap: .75em;
	align-items: center;
	padding: .5em 0;
	}

.no-select { pointer-events: none; }	

.hidden { display: none; }

/* MAIN BUTTONS --------------------- */	
.button-wrapper{
	padding-top: 2em;
	text-align: center;
	}
.button-wrapper button{
	margin: .25em;
	}	
button {
    position: relative;
    display: inline-block;
    padding: .5em 1em;
    margin: .5em 0 .3em 0;
    background-color: #AEDAFF;
    border: none;
    border-radius: 1.25em;
    font-weight: bold;
    font-size: 100%;
    cursor: pointer;
    outline: none;
    }
button:hover{
	background-color: #83CDFF;
	}   
.full-width{
	width: 100%;
	}	
button.padded-top{
	margin-top: 2em;
	}

.split-button-wrapper {
	display: flex;
	}
.split-button-wrapper button{
	margin-top: 1em;
	}	
.split-button-wrapper button:nth-child(2){
	margin-left: auto;
	}			
.button-wrapper.left { text-align: left; }

/* INNER WRAPPER --------------------- */
#inner-wrapper{
	margin: 3em 0 0 0;
	padding: 0 1em;
	}

/* INLINE MENU --------------------- */
ul.inline-menu {
	list-style-type: none;
	margin: 0;
	padding: 1em 0 0 0;
	}
ul.inline-menu li{
	display: inline;
	}
ul.inline-menu li:after{ 
	content: ' | ';
	color: #000;
	}
ul.inline-menu li:last-child:after{ 
	content: none;
	}
ul.inline-menu + p{
	padding-top: 2em;	
	}

.inline-menu.large{
	font-size: 1.25em;
	}

/* HEADER --------------------- */
#header-wrapper {
	border-bottom: solid 2px #000;
	position: fixed;
	top: 0;
	width: 100%;
	margin: 0;
	padding: .5em .5em 0 .5em;
	background-color: #fff;
	z-index: 1000;
	}
#header-top-row{
	display: flex;
	}	

/* BREADCRUMBS ----------------*/ 
#breadcrumb{
	padding: .4em 0;
	display: inline-block;
	}
#home-crumb{
	font-weight: bold;
	}

/* GAME ICONS ----------------*/ 
#header-icon-wrapper{
	margin-left: auto;
	}
#header-icon-wrapper img{
	height: 1.7em;
	cursor: pointer;
	margin-right: .5em;
	}
#mute-icon, #sound-icon{
	display: none;
	}

/* RIGHT SIDE IMAGES ----------------*/ 
.img-right-wrapper{
	display: grid;
	}
.img-right-wrapper img.padded{
	padding: 1em;
  background-color: #fff;
	}	
.img-right-wrapper>div:first-child{ order:2 }
.img-right-wrapper>div:nth-child(2){ order:1 }	
.img-right-wrapper img{
	width: 100%;
	color: #939393;
	font-size: .9em;
	}
.img-right-wrapper.small>div:nth-child(2) {
	text-align: center;	
	width: 50%;
	margin: 0 auto;
	}
.img-right-wrapper.medium>div:nth-child(2)	{
	text-align: center;	
	width: 75%;
	margin: 0 auto;
	}		
/* center images */
.img-center-wrapper{
	text-align: center;
	padding: 2em 0;
	}	 	
.img-center-wrapper img{
	text-align: center;
	width: 100%;
	}	 	

ul.inline-menu + .img-right-wrapper{
	margin-top: 2em;
	}	

/* PLAY MENU PAGE ----------------- */
.img-right-play-menu-wrapper{
	display: grid;
	margin: 2em 0;
	grid-gap: 1.5em;
	grid-template-columns: 1.25fr 1fr;
	align-items: center;
	}
.img-right-play-menu-wrapper h2{ padding: 0; }
.img-right-play-menu-wrapper img{
	width: 100%;
	text-align: center;	
	}


/* HOW TO PLAY PAGE ----------------*/ 
#how-to-play dl{
	display: grid;
	grid-template-columns: 2em auto;
	grid-gap: .75em;
	align-items: center;
	padding: .5em 0;
	}

/* HAMBURGER ICON ----------------*/ 
#hamburger-wrapper {
	display: inline-block;
	cursor: pointer;
	margin: 0 0 0 .5em;
	width: 1.5em;
	}
.bar-1, .bar-2, .bar-3 {
	height: .2em;
    background-color: #ccc;
    margin: .25em 0 .25em 0;
	transition: 0.4s;
	}
#hamburger-wrapper.open .bar-1 {
  -webkit-transform: rotate(45deg) translate(.3em, .3em);
  transform: rotate(45deg) translate(.35em, .35em)
	}
#hamburger-wrapper.open .bar-2 {
	opacity: 0;
	}
#hamburger-wrapper.open .bar-3 {
  -webkit-transform: rotate(-45deg) translate(.3em, -.3em);
  transform: rotate(-45deg) translate(.3em, -.3em);
	}

/* NAV ----------------*/ 
nav	{
	display: none;
	}
nav.open{
	display: block;
	}	
nav ul{
	margin: 0;
	padding: 0;
	list-style-type: none;
	}	
nav li{
	padding: .4em 0;
    border-top: 1px solid #ccc;
	}	
nav li.active a:link, nav li.active a:visited, nav li.active a:hover{
	color: #000;
	}
	

/* HOME WARNING BOX ------------- */ 
#home-warning button{
	background-color: #d4c9f0;
	margin-right: .5em;
	margin-top: 1em;
	}
#home-warning button:hover{
	background-color: #c9baee;	
	}
#sandbox-game #help-message>div{
	display: none;
	}	
#help-message .title{
	display: block;
	padding-bottom: .5em;
	font-weight: bold;
	}
	
/* TOP MESSAGE BOXES (HELP, POP UP FOR BREADCRUMB TO GET BACK TO MENU) ----------------- */ 
.top-message-wrapper{
	padding: 1em;
  border-radius: .75em;
	position: relative;
	background-color: #ebe5f9;
	margin-bottom: .25em;
	display: none;
	}
.top-message-wrapper .title{
	font-weight: bold;
	}
.top-message-wrapper p{
	padding: .25em 0;
	}			
.close-icon, .warning-close-icon{
	width: 1.5em;
  position: absolute;
  right: .75em;
  top: .75em;
  cursor: pointer;
	}
.top-message-wrapper.show{
	display: block;
	}

/* TOGGLE BOXES ---------------------------------- */
.toggle-box{
	padding: 1.5em 1em;
	border-radius: 1.5em;
	background-color: #eee;
	margin-top: .5em;
	} 	
.toggle-box h2{
	padding: 0;
	}
.toggle-box .link:hover, .toggle-box a:hover, .toggle-box .toggle-title:hover{
	color: #006ddd;
	}	
/* TITLE TOGGLE closed arrow -------- */
.toggle-box>h2:before, .toggle-box>div.toggle-title:before {
 	content: '';
 	width: 0px;
 	height: 0px;
 	border-style: solid;
 	border-width: .4em 0 .4em .6em;
 	border-color: transparent transparent transparent #0097fe;
 	display: inline-block;
 	vertical-align: text-top;
 	margin: 0 .2em;
	}	
/* .show opens arrow, shows content */	
.toggle-box.show>h2:before, .toggle-box.show>div.toggle-title:before {
	border-width: .6em .4em 0 .4em;
 	border-color: #0097fe transparent transparent transparent; 
 	margin: .1em .2em 0 0;
 }	
/* content hidden by default */
.toggle-box>.content-wrapper{
	padding: 1em 0 1em 0;
	display: none;
	} 
.toggle-box.show .content-wrapper{
	display: block;
	}


/* BACK TO TOP --------------------- */
#back-to-top{
	position: fixed;
	width: 3em;
	height: 3em;
	background-color: rgba( 0, 0, 0, .4);
	right: 0;
	bottom: 0;
	border-radius: 50%;
	text-align: center;
	margin-right: 1em;
	margin-bottom: 2em;
	padding-top: 0;
	z-index: 500;
	cursor: pointer;
	transition: all 300ms ease-in-out;
	transform: rotate( 240deg) scale(0, 0);
	}	
#tri {
	width: 0;
    height: 0;
    border-left: 1em solid transparent;
    border-right: 1em solid transparent;
    border-bottom: 1.6em solid #fff;
    margin: auto;
    padding-top: .5em;
	}
#back-to-top.show{
	transform: scale(1, 1);
	transform: rotate(0deg);
	}

/* FOOTER --------------------- */
footer{
	border-top: solid 1px #ccc;
	padding: .35em 0 0 0;
	margin: 3em 0 4em 0;
	}
footer ul{
	list-style: none;
	padding: 0;
	margin: 0;
	}
footer li{
	display: inline;
	font-size: .9em;
	color: #aaa;
	}
footer li::after{
	content: ' | ';
	}	
footer li:last-child::after{
	content: '';
	}				
footer a:link, footer a:visited{
	color: #aaa;
	}		
footer a:hover{
	color: #888;
	}	
	
/* REMOVES BLUE HIGHLIGHT WHEN ELEMENT IS CLICKED --------------------- */
a:active, img:active, #back-to-top, .link:active, #home-icons>div a:active, #home-icons>div a:active > *, #choice-icons-wrapper > div {
	-webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent;
  outline: none;
	}	



/* PAGE SPECIFIC STYLES ---------------------------------------- */

.scientific{
	font-style: italic;
	}

/* HOME PAGE --------------------- */
#home-title{
	text-align: center;
	font-family: 'Luckiest Guy';
	font-weight: normal;
	font-size: 4em;
  line-height: .9em;
  margin: 0;
  padding: .25em 0;
	}
.banner{
	padding: 1em 0.75em;
  background-color: #FFC627;
  color: #000;
  text-align: center;
  font-weight: bold;
  line-height: 1.1em;
	}
/* ICON GRID FOR HOME PAGE --------------------- */
#home-icons{
	margin: 2em 0;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
	text-align: center;
	grid-gap: 1em;
	}
#home-icons > div{
	width: 160px;
	}	
#home-icons img {
  max-width: 10em;
  display: block;
  margin: 0 auto .5em auto;
	}
#home-icons button{
	margin: 0 auto .5em auto;
	line-height: 1.1em;
	}


/* 2X ICON GRID FOR PLAY-MENU, TUTORIAL-INTRO --------------------- */
#icons-2x-wrapper{
	margin: 2em 0;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
	text-align: center;
	grid-gap: 1em;
	}
#icons-2x-wrapper > div{
	width: 160px;
	}	
#icons-2x-wrapper img {
  max-width: 10em;
  display: block;
  margin: 0 auto .5em auto;
	}
#icons-2x-wrapper button{
	margin: 0 auto .5em auto;
	line-height: 1.1em;
	}	
#icons-2x-wrapper .difficulty{
	font-weight: bold;
	color: #aaa;
	}	